Bug 1303152 - [RFE] Provide a Java SDK for API consumption
[RFE] Provide a Java SDK for API consumption
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.1.6
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature
Depends On:
Blocks: 1317530
  Show dependency treegraph
 
Reported: 2016-01-29 12:01 EST by Julio Entrena Perez
Modified: 2017-11-02 13:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-02 13:22:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2751881 None None None 2016-11-06 08:50 EST

  None (edit)
Description Julio Entrena Perez 2016-01-29 12:01:36 EST
1. Proposed title of this feature request  
Provide a Java SDK for API consumption
  
3. What is the nature and description of the request?
A Java SDK should be provided, documented and supported for easier consumption of the Satellite 6 API in Java.
A Java SDK is already available for RHEV, this request is about providing equivalent SDK covering the Satellite 6 API.
  
4. Why does the customer need this? (List the business requirements here)
To facilitate the consumption of the Satellite 6 API in Java code.
  
5. How would the customer like to achieve this? (List the functional requirements here)  
- A Java SDK for Satellite 6 is provided.
- The Java SDK provides the same level of functionality that is currently available in the REST API.
- The Java SDK is properly documented.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
- The Java SDK can be downloaded and installed.
- The Java SDK provides methods for all the currently available API calls and supports all options already available.
- The documentation for Java SDK can be downloaded or reviewed online and covers all aspects of the SDK.
  
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
None found.
  
8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
Satellite 6.3.
  
9. Is the sales team involved in this request and do they have any additional input?  
Yes.
  
10. List any affected packages or components.
N/A
  
11. Would the customer be able to assist in testing this functionality if implemented?
Yes.
Comment 3 Bryan Kearney 2017-11-02 13:21:41 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.
Comment 4 Bryan Kearney 2017-11-02 13:22:15 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.